Constant linker error with gnome-commander

Asked by schollsky on 2020-01-02

Dear Sirs,

I'm trying to build gnome-commander not only for Disco Dingo (which was successful), but also for Bionic version of Ubuntu. I cannot get rid of a linker error and would be grateful if you could check this.

The same code builds under Disco, but not in Bionic, which puzzles me a lot.

Buildlog is here:

https://launchpadlibrarian.net/458690485/buildlog_ubuntu-bionic-amd64.gnome-commander_1.10.2-28_BUILDING.txt.gz.

Binary package builds fine in a locally set up 18.04 virtual machine.

Happy new year &
kind regards

Stefan "schollsky" Czinczoll

Question information

Language:
English Edit question
Status:
Expired
For:
Launchpad itself Edit question
Assignee:
No assignee Edit question
Last query:
2020-01-03
Last reply:
2020-01-19
Manfred Hampl (m-hampl) said : #1

Apparently the library libgtest.a is not contained in the libgtest-dev package for Ubuntu bionic.
It was added only in version1.8.0-10ubuntu1 (for cosmic) see also bug #1774011

Which version of libgtest-dev do you have on the VM where building works?
Suggestion: Try building libgtest-dev 1.8.0-10ubuntu1 for bionic in your PPA, or add a PPA that has such version.

schollsky (schollsky) said : #2

Hi Manfred,

I could not build in the VM any more, instead using Ubuntu Version 20.04
now because of patching problems with Makefiles.

I couldn't build gtest 1.8.1 as seperate PPA which I was trying - the
binary won't build due to unknown reason.

Restarting from scratch now.

Kind regards

Stefan

Am 02.01.20 um 08:52 schrieb Manfred Hampl:
> Your question #687713 on Launchpad itself changed:
> https://answers.launchpad.net/launchpad/+question/687713
>
> Status: Open => Answered
>
> Manfred Hampl proposed the following answer:
> Apparently the library libgtest.a is not contained in the libgtest-dev package for Ubuntu bionic.
> It was added only in version1.8.0-10ubuntu1 (for cosmic) see also bug #1774011
>
> Which version of libgtest-dev do you have on the VM where building works?
> Suggestion: Try building libgtest-dev 1.8.0-10ubuntu1 for bionic in your PPA, or add a PPA that has such version.
>

--
http://schollsky.jimdo.com/ <email address hidden>
Tel. 02065 681541

Launchpad Janitor (janitor) said : #3

This question was expired because it remained in the 'Open' state without activity for the last 15 days.